# Class yii\debug\components\search\matchers\SameAs

Inheritance | yii\debug\components\search\matchers\SameAs » yii\debug\components\search\matchers\Base » yii\base\Component » yii\base\BaseObject
Implements | yii\base\Configurable, yii\debug\components\search\matchers\MatcherInterface
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-debug/blob/master/components/search/matchers/SameAs.php

Checks if the given value is exactly or partially same as the base one.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$behaviors | yii\base\Behavior[] | List of behaviors attached to this component. This property is read-only. | yii\base\Component
$partial | boolean | If partial match should be used. | yii\debug\components\search\matchers\SameAs
$value | mixed |  | yii\debug\components\search\matchers\Base

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$baseValue | mixed | Base value to check | yii\debug\components\search\matchers\Base

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\Component
__clone() | This method is called after the object is created by cloning an existing one. | yii\base\Component
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of a component property. | yii\base\Component
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\Component
__set() | Sets the value of a component property. | yii\base\Component
__unset() | Sets a component property to be null. | yii\base\Component
attachBehavior() | Attaches a behavior to this component. | yii\base\Component
attachBehaviors() | Attaches a list of behaviors to the component. | yii\base\Component
behaviors() | Returns a list of behaviors that this component should behave as. | yii\base\Component
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\Component
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\Component
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
detachBehavior() | Detaches a behavior from the component. | yii\base\Component
detachBehaviors() | Detaches all behaviors from the component. | yii\base\Component
ensureBehaviors() | Makes sure that the behaviors declared in behaviors() are attached to this component. | yii\base\Component
getBehavior() | Returns the named behavior object. | yii\base\Component
getBehaviors() | Returns all behaviors attached to this component. | yii\base\Component
hasEventHandlers() | Returns a value indicating whether there is any handler attached to the named event. | yii\base\Component
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\Component
hasProperty() | Returns a value indicating whether a property is defined for this component. | yii\base\Component
hasValue() | Checks if base value is set | yii\debug\components\search\matchers\Base
init() | Initializes the object. | yii\base\BaseObject
match() | Checks if the value passed matches base value. | yii\debug\components\search\matchers\SameAs
off() | Detaches an existing event handler from this component. | yii\base\Component
on() | Attaches an event handler to an event. | yii\base\Component
setValue() | Sets base value to match against | yii\debug\components\search\matchers\Base
trigger() | Triggers an event. | yii\base\Component

## Property Details

$partial public property

If partial match should be used.

public boolean $partial = false

## Method Details

match() public method

Checks if the value passed matches base value.

public boolean match ( $value )
$value | mixed | Value to be matched
return | boolean | If there is a match